# SOHKD

**S**imple **O**dilia **H**ot**K**ey **D**aemon

*A next-generation hotkey daemon for Wayland/X11 written in Rust.*

sohkd is a display protocol-independent hotkey daemon made in Rust (based off the original, [swhkd](https://waycrate.github.io/swhkd/)). sohkd uses an easy-to-use configuration system inspired by swhkd so you can easily add or remove hotkeys, and it integrates with the [Odilia screen reader](https://odilia.app) to provide modal access to key bindings.

Because sohkd can be used anywhere, the same sohkd config can be used across Xorg or Wayland desktops, and you can even use swhkd in a tty.

**Note: The project is a WIP.**
**BUT!! It does work right now however it's not a drop-in replacement yet. [Example config file](./docs/swhkdrc).**

## Installation

See [INSTALL.md](./docs/INSTALL.md) for installing sohkd.

## Running:
```bash
sohks &
pkexec sohkd
```
To refresh the config at runtime, make a script like so:

```bash
#!/bin/sh
sudo killall sohkd
pkexec sohkd
```

Mark it as executable using `chmod +x <path_to_refresh_script>`.

Then call it using `setsid -f <path_to_refresh_script>`. 

A better implementation using signals will be developed later.

## Support server:

https://discord.gg/KKZRDYrRYW

## Contributors:

<a href="https://github.com/Shinyzenith/swhkd/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=waycrate/swhkd" />
</a>
